Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.trolltech.qt.network
Enum QFtp.State

    java.lang.Object
      java.lang.Enum<QFtp.State>
          com.trolltech.qt.network.QFtp.State

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable<QFtp.State>

Enclosing class:
  QFtp

    public static enum QFtp.State

extends java.lang.Enum<QFtp.State>
implements QtEnumerator

This enum defines the connection state.

Constant | Value | Description
--- | --- | ---
`Unconnected` | `0` | There is no connection to the host.
`HostLookup` | `1` | A host name lookup is in progress.
`Connecting` | `2` | An attempt to connect to the host is in progress.
`Connected` | `3` | Connection to the host has been achieved.
`LoggedIn` | `4` | Connection and user login have been achieved.
`Closing` | `5` | The connection is closing down, but it is not yet closed. (The state will be `Unconnected` when the connection is closed.)

See Also:
  `stateChanged`, `state`

Enum Constant Summary
`Closing` The connection is closing down, but it is not yet closed.
`Connected` Connection to the host has been achieved.
`Connecting` An attempt to connect to the host is in progress.
`HostLookup` A host name lookup is in progress.
`LoggedIn` Connection and user login have been achieved.
`Unconnected` There is no connection to the host.

Method Summary
`static QFtp.State` | `resolve(int value)`
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QFtp.State` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static QFtp.State[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### Unconnected

    public static final QFtp.State Unconnected

  There is no connection to the host.

### HostLookup

    public static final QFtp.State HostLookup

  A host name lookup is in progress.

### Connecting

    public static final QFtp.State Connecting

  An attempt to connect to the host is in progress.

### Connected

    public static final QFtp.State Connected

  Connection to the host has been achieved.

### LoggedIn

    public static final QFtp.State LoggedIn

  Connection and user login have been achieved.

### Closing

    public static final QFtp.State Closing

  The connection is closing down, but it is not yet closed. (The state will be `Unconnected` when the connection is closed.)

Method Detail

### values

    public static final QFtp.State[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(QFtp.State c : QFtp.State.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static QFtp.State valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

### value

    public int value()

  Description copied from interface: `QtEnumerator`
  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static QFtp.State resolve(int value)

Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD